%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# This tarball is a subversion checkout for Jokosher 1.0
# Available from launchpad using bzr branch lp:jokosher

Name: jokosher
Version: 1.0
Release: 0.7.20090604svn%{?dist}
Summary: A simple and easy-to-use Open Source multi-track editor
Group: Applications/Multimedia
License: GPLv2+ with exceptions
URL: http://%{name}.org
Source0: http://www.%{name}.org/downloads/source/%{name}-20090604svn.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: python-setuptools-devel
BuildRequires: desktop-file-utils
BuildRequires: pygtk2-devel
BuildRequires: scrollkeeper
BuildRequires: gettext
Requires: python
Requires: gnonlin
Requires: gstreamer
Requires: pygtk2
Requires: gstreamer-python
Requires: gnome-desktop
Requires: ladspa
Requires: pyxdg
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Jokosher is a simple and poweful multi-track studio. Jokosher provides
a complete application for recording, editing, mixing and exporting
audio, and has been specifically designed with usability in mind.
The developers behind Jokosher have re-thought audio production at every
level, and created something devilishly simple to use.

Features

* Easy to use interface, designed from the ground up. Jokosher uses
  concepts and language familiar to musicians and is a breeze to use.

* Simple editing with splitting, trimming and moving tools.

* Multi-track volume mixing with VU sliders.

* Import audio (Ogg Vorbis, MP3, FLAC, WAV and anything else supported
  by GStreamer) into your projects.

* A range of instruments can be added to a project, and instruments can
  be renamed. Instruments can also be muted and soloed easily.

* Export to MP3, Ogg Vorbis, FLAC, WAV and anything else GStreamer supports.

* Documentation (User Guide, FAQ, Tutorial) and User Community (Forums, IRC).

%prep
%setup -q
%{__sed} -i '1d' Jokosher/JokosherApp.py

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot}
desktop-file-install --vendor=""                 \
  --delete-original                              \
  --add-category X-Multitrack                    \
  --add-category Sequencer                       \
  --dir=%{buildroot}%{_datadir}/applications     \
  bin/%{name}.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:
scrollkeeper-update -q ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README

%exclude %{python_sitelib}/Jokosher/Profiler.py
%{python_sitelib}/jokosher-0.11.3-py?.?.egg-info
%{python_sitelib}/Jokosher
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/

%changelog
* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0-0.7.20090604svn
- Update desktop file according to F-12 FedoraStudio feature

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.20090604svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun  4 2009 Christopher Brown <snecklifter@gmail.com> - 1.0-0.5.20090604svn
- Update to latest svn - fixes #499813
- Update tarball checkout instructions
- Remove desktop file sedding

* Sat May  9 2009 Christopher Brown <snecklifter@gmail.com> - 1.0-0.5.20090509svn
- Update to latest svn
- Add new pyxdg requires

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.20081012svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-0.4.20081012svn
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-0.3.20081012svn
- Rebuild for Python 2.6

* Wed Oct 12 2008 Christopher Brown <snecklifter@gmail.com> - 1.0-0.2.20081012svn
- Update to latest svn

* Wed Feb 27 2008 Christopher Brown <snecklifter@gmail.com> - 1.0-0.2.20080216svn
- Bump for upgrade path

* Sat Feb 16 2008 Christopher Brown <snecklifter@gmail.com> - 1.0-0.1.20080216svn
- Update to latest svn

* Mon Jan 21 2008 Christopher Brown <snecklifter@gmail.com> - 1.0-0.1.20080121svn
- update to latest svn
- resolve python egg build issues

* Sat Sep 29 2007 Christopher Brown <snecklifter@gmail.com> - 1.0-0.1.20070929svn
- change to python-setuptools-devel
- update to latest svn

* Tue Sep  4 2007 Christopher Brown <snecklifter@gmail.com> - 1.0-0.1.20070904svn
- change to python-setuptools-devel
- update to latest svn

* Fri Aug 24 2007 Christopher Brown <snecklifter@gmail.com> - 1.0-0.1.20070824svn
- update to latest svn

* Mon Aug 20 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-5
- update license tag

* Mon Jun 18 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-4
- change menu entry location

* Sat Jun  9 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-3
- desktop file fixes

* Sat Jun  9 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-2
- Add yelp requires - fixes #243402

* Wed May 16 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-1
- 0.9 final

* Sat Apr 21 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-0.3.rc1
- rc1
- remove redundant directories

* Thu Apr  5 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-0.2.20070405svn
- update to svn 20070405
- added python macros

* Mon Mar 26 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-0.1.20070325svn
- Naming cleanups

* Sun Mar 25 2007 Christopher Brown <snecklifter@gmail.com> - 0-0.1.20070325svn
- naming convention changes
- dependency cleanups
- macro tidying

* Thu Mar 22 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-3.20070322svn
- updated to r1342

* Fri Mar 16 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-2.20070316svn
- r1340
- package naming guidelines
- desktop file install
- file listing and cleansing

* Sun Mar 11 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-1.20070311svn
- add ladspa dependency

* Thu Mar  8 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-1.20070308svn
- omf registration and handling

* Wed Mar  7 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-1.20070306svn
- update to r1337
- add find_lang macro
- added scrollkeeper gettext and python-setuptools as dependencies
- added post and postun scripts
- added svn snapshot comment

* Sun Feb 25 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-1.20070225svn
- svn tagging and cleanups

* Mon Feb 19 2007 Christopher Brown <snecklifter@gmail.com> - 0.9-1
- rebuilding for 0.9 release

* Sun Sep 10 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-7
- include files in source for security

* Sun Sep 10 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-6
- alsaaudio patches and file permission issues

* Sun Aug 20 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-5
- added patches against 0.1 release

* Thu Jul 27 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-4
- remove alsaaudio dependency
- added python_dir for Extras

* Thu Jul 27 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-3
- Add noarch flag and plenty of requires
- change copy file method

* Wed Jul 19 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-2
- 0.1 final release with docs

* Mon Jul 17 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-1
- python_dir updates and tag removal in extras submission process

* Sat Jul 15 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-1
- Cleaned up file list
- Added init stuff

* Fri Jul 14 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-1
- Updated to latest svn
- Updated file list
- Changed version in readiness for release

* Sun Jun 18 2006 Christopher Brown <snecklifter@gmail.com> - 0.1-20060618svn
- Added .desktop and requires information
- Updated name to meet Fedora Extras convention (hopefully)

* Sun Jun 18 2006 Christpher Brown <snecklifter@gmail.com> - 0.0.400-1
- rpmlint updates

* Sat Jun 17 2006 Christopher Brown <snecklifter@gmail.com> - 0.0.397-1
- Initial build.
